###############################################################################
# Example user configuration file for ESMValTool
###############################################################################
#
# Note for users:
# --------------
# Site-specific entries for different HPC centers are given at the bottom of
# this file. Comment out/replace as needed. This default version of the file
# can be used in combination with the command line argument
# ``search_esgf=when_missing``. If only certain values are allowed for an
# option, these are listed after ``---``. The option in square brackets is the
# default value, i.e., the one that is used if this option is omitted in the
# file.
#
###############################################################################
#
# Note for developers:
# -------------------
# Two identical copies of this file (``ESMValTool/config-user-example.yml`` and
# ``ESMValCore/esmvalcore/config-user.yml``) exist. If you change one of it,
# make sure to apply the changes to the other.
#
###############################################################################
---

# Destination directory where all output will be written
# Includes log files and performance stats.
output_dir: ~/esmvaltool_output

# Auxiliary data directory
# Used by some recipes to look for additional datasets.
auxiliary_data_dir: ~/auxiliary_data

# Automatic data download from ESGF --- [never]/when_missing/always
# Use automatic download of missing CMIP3, CMIP5, CMIP6, CORDEX, and obs4MIPs
# data from ESGF. ``never`` disables this feature, which is useful if you are
# working on a computer without an internet connection, or if you have limited
# disk space. ``when_missing`` enables the automatic download for files that
# are not available locally. ``always`` will always check ESGF for the latest
# version of a file, and will only use local files if they correspond to that
# latest version.
search_esgf: never

# Directory for storing downloaded climate data
# Make sure to use a directory where you can store multiple GBs of data. Your
# home directory on a HPC is usually not suited for this purpose, so please
# change the default value in this case!
download_dir: ~/climate_data

# Run at most this many tasks in parallel --- [null]/1/2/3/4/...
# Set to ``null`` to use the number of available CPUs. If you run out of
# memory, try setting max_parallel_tasks to ``1`` and check the amount of
# memory you need for that by inspecting the file ``run/resource_usage.txt`` in
# the output directory. Using the number there you can increase the number of
# parallel tasks again to a reasonable number for the amount of memory
# available in your system.
max_parallel_tasks: null

# Log level of the console --- debug/[info]/warning/error
# For much more information printed to screen set log_level to ``debug``.
log_level: info

# Exit on warning --- true/[false]
# # Only used in NCL diagnostic scripts.
exit_on_warning: false

# Plot file format --- [png]/pdf/ps/eps/epsi
output_file_type: png

# Remove the ``preproc`` directory if the run was successful --- [true]/false
# By default this option is set to ``true``, so all preprocessor output files
# will be removed after a successful run. Set to ``false`` if you need those
# files.
remove_preproc_dir: true

# Use netCDF compression --- true/[false]
compress_netcdf: false

# Save intermediary cubes in the preprocessor --- true/[false]
# Setting this to ``true`` will save the output cube from each preprocessing
# step. These files are numbered according to the preprocessing order.
save_intermediary_cubes: false

# Path to custom ``config-developer.yml`` file
# This can be used to customise project configurations. See
# ``config-developer.yml`` for an example. Set to ``null`` to use the default.
config_developer_file: null

# Use a profiling tool for the diagnostic run --- [false]/true
# A profiler tells you which functions in your code take most time to run.
# Only available for Python diagnostics.
profile_diagnostic: false

# Rootpaths to the data from different projects
# This default setting will work if files have been downloaded by ESMValTool
# via ``search_esgf``. Lists are also possible. For site-specific entries and
# more examples, see below. Comment out these when using a site-specific path.
rootpath:
  default: ~/climate_data

# Directory structure for input data --- [default]/ESGF/BADC/DKRZ/ETHZ/etc.
# This default setting will work if files have been downloaded by ESMValTool
# via ``search_esgf``. See ``config-developer.yml`` for definitions.  Comment
# out/replace as per needed.
drs:
  CMIP3: ESGF
  CMIP5: ESGF
  CMIP6: ESGF
  CORDEX: ESGF
  obs4MIPs: ESGF

# Example rootpaths and directory structure that showcases the different
# projects and also the use of lists
# For site-specific entries, see below.
#rootpath:
#  CMIP3: [~/cmip3_inputpath1, ~/cmip3_inputpath2]
#  CMIP5: [~/cmip5_inputpath1, ~/cmip5_inputpath2]
#  CMIP6: [~/cmip6_inputpath1, ~/cmip6_inputpath2]
#  OBS: ~/obs_inputpath
#  OBS6: ~/obs6_inputpath
#  obs4MIPs: ~/obs4mips_inputpath
#  ana4mips: ~/ana4mips_inputpath
#  native6: ~/native6_inputpath
#  RAWOBS: ~/rawobs_inputpath
#  default: ~/default_inputpath
#drs:
#  CMIP3: default
#  CMIP5: default
#  CMIP6: default
#  CORDEX: default
#  obs4MIPs: default

# Directory tree created by automatically downloading from ESGF
# Uncomment the lines below to locate data that has been automatically
# downloaded from ESGF (using ``search_esgf``).
#rootpath:
#  CMIP3: ~/climate_data
#  CMIP5: ~/climate_data
#  CMIP6: ~/climate_data
#  CORDEX: ~/climate_data
#  obs4MIPs: ~/climate_data
#drs:
#  CMIP3: ESGF
#  CMIP5: ESGF
#  CMIP6: ESGF
#  CORDEX: ESGF
#  obs4MIPs: ESGF

# Site-specific entries: JASMIN
# Uncomment the lines below to locate data on JASMIN.
#auxiliary_data_dir: /gws/nopw/j04/esmeval/aux_data/AUX
#rootpath:
#  CMIP6: /badc/cmip6/data/CMIP6
#  CMIP5: /badc/cmip5/data/cmip5/output1
#  CMIP3: /badc/cmip3_drs/data/cmip3/output
#  OBS: /gws/nopw/j04/esmeval/obsdata-v2
#  OBS6: /gws/nopw/j04/esmeval/obsdata-v2
#  obs4MIPs: /gws/nopw/j04/esmeval/obsdata-v2
#  ana4mips: /gws/nopw/j04/esmeval/obsdata-v2
#  CORDEX: /badc/cordex/data/CORDEX/output
#drs:
#  CMIP6: BADC
#  CMIP5: BADC
#  CMIP3: BADC
#  CORDEX: BADC
#  OBS: default
#  OBS6: default
#  obs4MIPs: default
#  ana4mips: default

# Site-specific entries: DKRZ-Levante
# For bd0854 members a shared download directory is available
#search_esgf: when_missing
#download_dir: /work/bd0854/DATA/ESMValTool2/download
# Uncomment the lines below to locate data on Levante at DKRZ.
#auxiliary_data_dir: /work/bd0854/DATA/ESMValTool2/AUX
#rootpath:
#  CMIP6: /work/bd0854/DATA/ESMValTool2/CMIP6_DKRZ
#  CMIP5: /work/bd0854/DATA/ESMValTool2/CMIP5_DKRZ
#  CMIP3: /work/bd0854/DATA/ESMValTool2/CMIP3
#  CORDEX: /work/ik1017/C3SCORDEX/data/c3s-cordex/output
#  OBS: /work/bd0854/DATA/ESMValTool2/OBS
#  OBS6: /work/bd0854/DATA/ESMValTool2/OBS
#  obs4MIPs: /work/bd0854/DATA/ESMValTool2/OBS
#  ana4mips: /work/bd0854/DATA/ESMValTool2/OBS
#  native6: /work/bd0854/DATA/ESMValTool2/RAWOBS
#  RAWOBS: /work/bd0854/DATA/ESMValTool2/RAWOBS
#drs:
#  CMIP6: DKRZ
#  CMIP5: DKRZ
#  CMIP3: DKRZ
#  CORDEX: BADC
#  obs4MIPs: default
#  ana4mips: default
#  OBS: default
#  OBS6: default
#  native6: default

# Site-specific entries: ETHZ
# Uncomment the lines below to locate data at ETHZ.
#rootpath:
#  CMIP6: /net/atmos/data/cmip6
#  CMIP5: /net/atmos/data/cmip5
#  CMIP3: /net/atmos/data/cmip3
#  OBS: /net/exo/landclim/PROJECTS/C3S/datadir/obsdir/
#drs:
#  CMIP6: ETHZ
#  CMIP5: ETHZ
#  CMIP3: ETHZ

# Site-specific entries: IPSL
# Uncomment the lines below to locate data on Ciclad at IPSL.
#rootpath:
#  IPSLCM: /
#  CMIP5: /bdd/CMIP5/output
#  CMIP6: /bdd/CMIP6
#  CMIP3: /bdd/CMIP3
#  CORDEX: /bdd/CORDEX/output
#  obs4MIPs: /bdd/obs4MIPS/obs-CFMIP/observations
#  ana4mips: /not_yet
#  OBS: /not_yet
#  OBS6: /not_yet
#  RAWOBS: /not_yet
#drs:
#  CMIP6: DKRZ
#  CMIP5: DKRZ
#  CMIP3: IPSL
#  CORDEX: BADC
#  obs4MIPs: IPSL
#  ana4mips: default
#  OBS: not_yet
#  OBS6: not_yet

# Site-specific entries: Met Office
# Uncomment the lines below to locate data at the Met Office.
#rootpath:
#  CMIP5: /project/champ/data/cmip5/output1
#  CMIP6: /project/champ/data/CMIP6
#  CORDEX: /project/champ/data/cordex/output
#  OBS: /data/users/esmval/ESMValTool/temporary/obs/
#  obs4MIPs: /data/users/esmval/ESMValTool/temporary/obs/
#  ana4mips: /project/champ/data/ana4MIPs
#drs:
#  CMIP5: BADC
#  CMIP6: BADC
#  CORDEX: BADC
#  OBS: default
#  obs4MIPs: default
#  ana4mips: BADC
